This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 191579 - No wifi wpa network found anymore
No wifi wpa network found anymore
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-13 02:59 EDT by Thomas Canniot
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 10:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2006-05-13 02:59:08 EDT
Description of problem:
I'm not sure wether it is a wpa_supplicant_0.4.8-10.fc5 or
NetworkManager-06.2-2.fc5 bug as they both were pushed into update 2 days ago. 
Before this update, my wifi wpa tsk tkip connection was handled nicely : loading
bcm43xx module and restarting NetworkManager, who asked for the passprase. Since
the update of the two packages, NetworkManager does not see any wpa wifi
connection anymore, and I need wpa_gui to make it recognize the wifi wpa
connection. It is a regression as it was easier before.

Even in Rawhide it is no more like it used to : very easy. I now need wpa_gui as
well to scan the available networks.

I'm new with all that wifi stuff, please excuse me if i'm not precise enough.


Version-Release number of selected component (if applicable):
wpa_supplicant_0.4.8-10_fc5
NetworkManager-06.2-2.fc5

How reproducible:
always

Steps to Reproduce:
1. load bcm43xx module
2. NetworkManager doesn't find anything
3.
  
Actual results:
No wifi connection is seen by Network Manager

Expected results:
It should scan the air and found wifi networks

Additional info:
Comment 1 Dan Williams 2006-05-13 14:15:46 EDT
What kernel version are you using?

What does the output of 'iwlist ethX scan' say where ethX is your Broadcom
wireless card?  You may need to run it a few times (10s apart) to see your network.
Comment 2 Thomas Canniot 2006-05-14 03:30:44 EDT
[root@localhost ~]# uname -r
2.6.16-1.2111_FC5


[root@localhost ~]# iwlist eth1 scan
eth1      Scan completed :
          Cell 01 - Address: 00:16:38:5C:53:8D
                    ESSID:"TECOM-AH4222-5C5382"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:12
                    Encryption key:on
                    Bit Rates:54 Mb/s
                    Extra: Rates (Mb/s): 1 2 5.5 6 9 11 12 18 24 36 48 54
                    Quality=100/100  Signal level=-72 dBm
                   
Extra:wpa_ie=dd180050f20101000050f20201000050f20201000050f2020000
                    Extra: Last beacon: 400ms ago
          Cell 02 - Address: 00:03:C9:63:5B:F9
                    ESSID:"Wanadoo_fe30"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:10
                    Encryption key:on
                    Bit Rates:54 Mb/s
                    Extra: Rates (Mb/s): 1 2 5.5 6 9 11 12 18 24 36 48 54
                    Quality=100/100  Signal level=-77 dBm
                    Extra: Last beacon: 13692ms ago

It was quite difficult to scan anything : i had to stop NetworkManager. Load the
module, load wpa_supplicant, launch wpa_gui to contact the network and to launch
NetworkManager deamon to have, at last, an ip. 
Comment 3 Thomas Canniot 2006-05-14 03:45:34 EDT
wpa-supplicant service returns me this error when the bcm43xx module is not
loaded (that it didn't return me before the last update) : 

[root@localhost ~]# service wpa_supplicant start
Démarrage de wpa_supplicant :ioctl[SIOCSIWPMKSA]: No such device
ioctl[SIOCSIWMODE]: No such device
Could not configure driver to use managed mode
ioctl[SIOCGIFFLAGS]: No such device
Could not set interface 'eth1' UP
ioctl[SIOCGIWRANGE]: No such device
ioctl[SIOCGIFINDEX]: No such device
ioctl[SIOCSIWENCODEEXT]: No such device
ioctl[SIOCSIWENCODE]: No such device
ioctl[SIOCSIWENCODEEXT]: No such device
ioctl[SIOCSIWENCODE]: No such device
ioctl[SIOCSIWENCODEEXT]: No such device
ioctl[SIOCSIWENCODE]: No such device
ioctl[SIOCSIWENCODEEXT]: No such device
ioctl[SIOCSIWENCODE]: No such device
ioctl[SIOCSIWAUTH]: No such device
WEXT auth param 7 value 0x0 - Failed to disable WPA in the driver.
ioctl[SIOCSIWAUTH]: No such device
WEXT auth param 5 value 0x0 - ioctl[SIOCSIWAUTH]: No such device
WEXT auth param 4 value 0x0 - ioctl[SIOCSIWAP]: No such device
ioctl[SIOCGIFFLAGS]: No such device
                                                           [ÉCHOUÉ]
Comment 4 Thomas Canniot 2006-05-14 09:04:14 EDT
Is seems I had connection problems yesterday, everything is back to normal with
Rawhide (2.6.16-1.2202_FC6)(I have not changed anything). But FC5 has still got
the problems I described before.
Comment 5 Thomas Canniot 2006-06-30 10:15:42 EDT
Has been fixed naturally through updates. This bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.